# $Revision: 1.10 $, $Date: 2001/05/16 22:22:12 $
Summary:	Mingw32 GNU Binary Utility Development Utilities - binutils
Name:		crossmingw32-binutils
Version:	2.11.90.0.8
Release:	1
License:	GPL
Group:		Development/Tools
Group(de):	Entwicklung/Werkzeuge
Group(fr):	Development/Outils
Group(pl):	Programowanie/Narzdzia
ExclusiveArch:	%{ix86}
Source0:	ftp://ftp.kernel.org/pub/linux/devel/binutils/binutils-%{version}.tar.bz2
Patch0:		binutils-info.patch
BuildRequires:	flex
BuildRequires:	bison
BuildRequires:	/bin/bash
Requires:	crossmingw32-platform
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		target		i386-mingw32
%define		arch		%{_prefix}/%{target}

%description
crossmingw32 is a complete cross-compiling development system for
building stand-alone Microsoft Windows applications under Linux using
the Mingw32 build libraries. This includes a binutils, gcc with g++
and objc, and libstdc++, all cross targeted to i386-mingw32, along
with supporting Win32 libraries in 'coff' format from free sources.

This package contains cross targeted binutils.

%prep
%setup -q -n binutils-%{version}
%patch -p1

%build
rm -rf $RPM_BUILD_ROOT

# Because of a bug in binutils-2.9.1, a cross libbfd.so* is not named
# lib<target>bfd.so*. To prevent confusion with native binutils, we
# forget about shared libraries right now, and do not install libbfd.a
# [the same applies to binutils 2.10.1.0.4]

# ldscripts won't be generated properly if SHELL is not bash...
CFLAGS="%{rpmcflags}" LDFLAGS="%{rpmldflags}" \
CONFIG_SHELL="/bin/bash" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--infodir=%{_infodir} \
	--target=%{target}

%{__make} tooldir=%{_prefix} EXEEXT="" all

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	mandir=$RPM_BUILD_ROOT%{_mandir} \
	infodir=$RPM_BUILD_ROOT%{_infodir} \
	libdir=$RPM_BUILD_ROOT%{_libdir}

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{arch}/bin/*
%{arch}/lib/*
%attr(755,root,root) %{_bindir}/%{target}-*
%{_mandir}/man1/%{target}-*

%clean
rm -rf $RPM_BUILD_ROOT

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: crossmingw32-binutils.spec,v $
Revision 1.10  2001/05/16 22:22:12  qboosh
- 2.11.90.0.8

Revision 1.9  2001/05/10 16:32:40  qboosh
- 2.11.90.0.7

Revision 1.8  2001/04/26 16:41:39  qboosh
- 2.11.90.0.5
- updated Source URL
- use %%rpm{c,ld}flags macros

Revision 1.7  2001/03/08 22:53:04  qboosh
- 2.10.91.0.4

Revision 1.6  2001/02/13 02:23:22  qboosh
- 2.10.1.0.7

Revision 1.5  2001/01/25 20:03:22  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.4  2001/01/19 17:21:19  qboosh
- update to 2.10.1.0.4
- exclude %%{arch}/lib directory from this package (it belongs to
  crossmingw32-platform)
- spec simplified

Revision 1.3  2000/12/15 00:02:11  kloczek
- only adapterized.

Revision 1.2  2000/12/14 23:58:25  qboosh
- update to 2.10.0.33
- use binutils version as package version
- removed renaming *.exe to * - binutils 2.10.0.33 doesn't use .exe extension

Revision 1.1  2000/12/11 08:36:40  qboosh
- almost rewritten, split into 3 packages
- BuildRoot, updates, patches and other stuff...

* Mon Jan 11 1999 David Sugar <dyfet@tycho.com>
- Modified heavily and then added all other useful stuff to cross build
  a complete mingw32 development system in a single RPM.  The original
  RPMS's would not build from source unless /usr/i386-ming32 already
  had cross-compiled lib stuff, so this one directly builds into
  /usr/i386-mingw32 rather than a buildroot so that it can be cleanly
  built on a system that was NEVER used for cross compiling before.  If
  somebody wants to untwist this web and make it buildroot friendly...

* Thu May 7 1998 Jan-Jaap van der Heijden <J.J.vanderHeijden@student.utwente.nl>
- Initial release (2.9.1)
